OGRE: Ogre::NedPoolingPolicy Class Reference - OGRE Documentation

Static Public Member Functions | Private Member Functions

# Ogre::NedPoolingPolicy Class Reference
[Memory]

An allocation policy for use with AllocatedObject and STLAllocator. More...

`#include <OgreMemoryNedPooling.h>`

Inheritance diagram for Ogre::NedPoolingPolicy:
[legend]

List of all members.

## Static Public Member Functions
static void * | allocateBytes (size_t count, const char *file=0, int line=0, const char *func=0)
static void | deallocateBytes (void *ptr)
static size_t | getMaxAllocationSize ()
| Get the maximum size of a single allocation.
## Private Member Functions
| NedPoolingPolicy ()

## Detailed Description

An allocation policy for use with AllocatedObject and STLAllocator.

This is the class that actually does the allocation and deallocation of physical memory, and is what you will want to provide a custom version of if you wish to change how memory is allocated.

  This allocation policy uses nedmalloc (http://nedprod.com/programs/portable/nedmalloc/index.html).

Definition at line 65 of file OgreMemoryNedPooling.h.

## Constructor & Destructor Documentation

Ogre::NedPoolingPolicy::NedPoolingPolicy | ( |  | ) | `[private]`

Definition at line 85 of file OgreMemoryNedPooling.h.

## Member Function Documentation

static void* Ogre::NedPoolingPolicy::allocateBytes | ( | size_t | count,
|  | const char * | file = `0`,
|  | int | line = `0`,
|  | const char * | func = `0` |
| ) |  |  | `[static]`

Definition at line 68 of file OgreMemoryNedPooling.h.

References Ogre::NedPoolingImpl::allocBytes().

static void Ogre::NedPoolingPolicy::deallocateBytes | ( | void * | ptr | ) | `[static]`

Definition at line 73 of file OgreMemoryNedPooling.h.

References Ogre::NedPoolingImpl::deallocBytes().

static size_t Ogre::NedPoolingPolicy::getMaxAllocationSize | ( |  | ) | `[static]`

Get the maximum size of a single allocation.

Definition at line 78 of file OgreMemoryNedPooling.h.

The documentation for this class was generated from the following file:

- OgreMemoryNedPooling.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:56